"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useEffectOnce = void 0;
var react_1 = require("react");
/**
 * A hook that runs an effect only once (at mount).
 * @param {EffectCallback} effect - The effect to run.
 * @see [Documentation](https://usehooks-ts.com/react-hook/use-effect-once)
 * @example
 * useEffectOnce(() => {
 *   console.log('Hello World');
 * });
 */
function useEffectOnce(effect) {
    // eslint-disable-next-line react-hooks/exhaustive-deps
    (0, react_1.useEffect)(effect, []);
}
exports.useEffectOnce = useEffectOnce;
