"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsClient = void 0;
var react_1 = require("react");
/**
 * Custom hook for determining if the code is running on the client side (in the browser).
 * @returns {boolean} A boolean value indicating whether the code is running on the client side.
 * @see [Documentation](https://usehooks-ts.com/react-hook/use-is-client)
 * @example
 * const isClient = useIsClient();
 * // Use isClient to conditionally render or execute code specific to the client side.
 */
function useIsClient() {
    var _a = (0, react_1.useState)(false), isClient = _a[0], setClient = _a[1];
    (0, react_1.useEffect)(function () {
        setClient(true);
    }, []);
    return isClient;
}
exports.useIsClient = useIsClient;
