/**
 * Represents the type for the options available when reading from local storage.
 * @template T - The type of the stored value.
 */
interface Options<T, InitializeWithValue extends boolean | undefined> {
    deserializer?: (value: string) => T;
    initializeWithValue: InitializeWithValue;
}
/** Value could be null if it does not exist in LocalStorage */
type Value<T> = T | null;
export declare function useReadLocalStorage<T>(key: string, options: Options<T, false>): Value<T> | undefined;
export declare function useReadLocalStorage<T>(key: string, options?: Partial<Options<T, true>>): Value<T>;
export {};
